<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/dayzexpansion.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d89/a08676_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dayzexpansion.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d89/a08676.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * DayzExpansion.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       DayZExpansion</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_class" href="../../d2/de0/a03861.html">DayZExpansion</a>: <a class="code hl_class" href="../../dc/da2/a04937.html">ExpansionWorld</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">   18</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">m_Version</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#af83062ebed2899404b75f6ff118ec999">   20</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/de0/a03861.html#af83062ebed2899404b75f6ff118ec999">m_MajorVersion</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a925c4a2544b81f10323ebaeac9480994">   21</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/de0/a03861.html#a925c4a2544b81f10323ebaeac9480994">m_MinorVersion</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a009a8baca86cd9a073c2df7d0fe4322f">   22</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/de0/a03861.html#a009a8baca86cd9a073c2df7d0fe4322f">m_BuildVersion</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// DayZExpansion Constructor</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">DayZExpansion</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="keyword">this</span>, <span class="stringliteral">&quot;DayZExpansion&quot;</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment"></span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">        //! Version checking</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment"></span>        <a class="code hl_function" href="../../d2/de0/a03861.html#a7c68d5e66adf1310f05259fdadbeb21c">Expansion_LoadVersion</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment"></span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">        //! Initialize settings</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment"></span>        <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">// Expansion Expansion_LoadVersion</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a7c68d5e66adf1310f05259fdadbeb21c">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a7c68d5e66adf1310f05259fdadbeb21c">Expansion_LoadVersion</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {       </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="keyword">this</span>, <span class="stringliteral">&quot;Expansion_LoadVersion&quot;</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">m_Version</a> = GetDayZGame().GetExpansionClientVersion();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        array&lt;string&gt; values = <span class="keyword">new</span> array&lt;string&gt;();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">m_Version</a>.Split( <span class="stringliteral">&quot;.&quot;</span>, values );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> ( values.Count() == 3 )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../d2/de0/a03861.html#af83062ebed2899404b75f6ff118ec999">m_MajorVersion</a> = values[0].ToInt();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_variable" href="../../d2/de0/a03861.html#a925c4a2544b81f10323ebaeac9480994">m_MinorVersion</a> = values[1].ToInt();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_variable" href="../../d2/de0/a03861.html#a009a8baca86cd9a073c2df7d0fe4322f">m_BuildVersion</a> = values[2].ToInt();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            Print( <span class="stringliteral">&quot;Expansion version: &quot;</span> + <a class="code hl_variable" href="../../d2/de0/a03861.html#af83062ebed2899404b75f6ff118ec999">m_MajorVersion</a> + <span class="stringliteral">&quot;.&quot;</span> + <a class="code hl_variable" href="../../d2/de0/a03861.html#a925c4a2544b81f10323ebaeac9480994">m_MinorVersion</a> + <span class="stringliteral">&quot;.&quot;</span> + <a class="code hl_variable" href="../../d2/de0/a03861.html#a009a8baca86cd9a073c2df7d0fe4322f">m_BuildVersion</a> );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="comment">//string versionTest;</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="comment">//GetGame().ConfigGetText( &quot;CfgMods DZ_Expansion version&quot;, versionTest );</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="comment">//Print( versionTest );</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// Expansion GetVersion</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a839c152458b32e007738f04e58ffed3d">   70</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a839c152458b32e007738f04e58ffed3d">GetVersion</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">m_Version</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">// Expansion OnStart</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#aa4d00dd80847d1b904242eae1354e140">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#aa4d00dd80847d1b904242eae1354e140">OnStart</a>()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        super.OnStart();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a12efebba728b7167a214cd38703c74c1">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a12efebba728b7167a214cd38703c74c1">OnRPC</a>( PlayerIdentity sender, Object target, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d94/a08424.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a> &amp;&amp; <a class="code hl_variable" href="../../dd/d94/a08424.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a>.<a class="code hl_function" href="../../dd/d8e/a03377.html#a9eca8055718378307d97df28f6b0734f">OnRPC</a>( sender, target, rpc_type, ctx ) )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> super.OnRPC( sender, target, rpc_type, ctx );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">   91</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">OnLoaded</a>()</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#a01732fe9a1004d05bf2f800b795d5264">SI_SafeZone</a>.Invoke();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        super.OnLoaded();</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>}</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">  102</a></span><span class="keyword">static</span> ref <a class="code hl_class" href="../../d2/de0/a03861.html">DayZExpansion</a> <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../da/d89/a08676.html#a883da7b60e247b43fafd5f00b7829fa8">  104</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d2/de0/a03861.html">DayZExpansion</a> <a class="code hl_function" href="../../da/d89/a08676.html#a883da7b60e247b43fafd5f00b7829fa8">GetDayZExpansion</a>()</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>{</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../da/d89/a08676.html#a9b066191530f856dc1f5d93602c5565f">  109</a></span><span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d89/a08676.html#a9b066191530f856dc1f5d93602c5565f">CreateDayZExpansion</a>()</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>{</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="stringliteral">&quot;CreateDayZExpansion&quot;</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a> )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/de0/a03861.html">DayZExpansion</a>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    GetDayZGame().SetExpansionGame( <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a> );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>}</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../da/d89/a08676.html#ad89075091fb6c370aaba2edf373cdba8">  125</a></span><span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d89/a08676.html#ad89075091fb6c370aaba2edf373cdba8">DestroyDayZExpansion</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>{   </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="stringliteral">&quot;DestroyDayZExpansion&quot;</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="keyword">delete</span> <a class="code hl_variable" href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>}</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa03377_html"><div class="ttname"><a href="../../dd/d8e/a03377.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03377_html_a01732fe9a1004d05bf2f800b795d5264"><div class="ttname"><a href="../../dd/d8e/a03377.html#a01732fe9a1004d05bf2f800b795d5264">ExpansionSettings::SI_SafeZone</a></div><div class="ttdeci">static ref ScriptInvoker SI_SafeZone</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00017">expansionsettings.c:17</a></div></div>
<div class="ttc" id="aa03377_html_a9eca8055718378307d97df28f6b0734f"><div class="ttname"><a href="../../dd/d8e/a03377.html#a9eca8055718378307d97df28f6b0734f">ExpansionSettings::OnRPC</a></div><div class="ttdeci">override bool OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00028">expansionsettings.c:28</a></div></div>
<div class="ttc" id="aa03861_html"><div class="ttname"><a href="../../d2/de0/a03861.html">DayZExpansion</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d6b/a08670_source.html#l00016">dayzexpansion.c:17</a></div></div>
<div class="ttc" id="aa03861_html_a009a8baca86cd9a073c2df7d0fe4322f"><div class="ttname"><a href="../../d2/de0/a03861.html#a009a8baca86cd9a073c2df7d0fe4322f">DayZExpansion::m_BuildVersion</a></div><div class="ttdeci">protected int m_BuildVersion</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00022">dayzexpansion.c:22</a></div></div>
<div class="ttc" id="aa03861_html_a12efebba728b7167a214cd38703c74c1"><div class="ttname"><a href="../../d2/de0/a03861.html#a12efebba728b7167a214cd38703c74c1">DayZExpansion::OnRPC</a></div><div class="ttdeci">override bool OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00083">dayzexpansion.c:83</a></div></div>
<div class="ttc" id="aa03861_html_a7c68d5e66adf1310f05259fdadbeb21c"><div class="ttname"><a href="../../d2/de0/a03861.html#a7c68d5e66adf1310f05259fdadbeb21c">DayZExpansion::Expansion_LoadVersion</a></div><div class="ttdeci">void Expansion_LoadVersion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00043">dayzexpansion.c:43</a></div></div>
<div class="ttc" id="aa03861_html_a839c152458b32e007738f04e58ffed3d"><div class="ttname"><a href="../../d2/de0/a03861.html#a839c152458b32e007738f04e58ffed3d">DayZExpansion::GetVersion</a></div><div class="ttdeci">string GetVersion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00070">dayzexpansion.c:70</a></div></div>
<div class="ttc" id="aa03861_html_a8e6f92575e6dfe2ff2e4286802cc1a59"><div class="ttname"><a href="../../d2/de0/a03861.html#a8e6f92575e6dfe2ff2e4286802cc1a59">DayZExpansion::m_Version</a></div><div class="ttdeci">protected string m_Version</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00018">dayzexpansion.c:18</a></div></div>
<div class="ttc" id="aa03861_html_a925c4a2544b81f10323ebaeac9480994"><div class="ttname"><a href="../../d2/de0/a03861.html#a925c4a2544b81f10323ebaeac9480994">DayZExpansion::m_MinorVersion</a></div><div class="ttdeci">protected int m_MinorVersion</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00021">dayzexpansion.c:21</a></div></div>
<div class="ttc" id="aa03861_html_a9391fa7ad0edde96d5671c3eb89f639e"><div class="ttname"><a href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">DayZExpansion::DayZExpansion</a></div><div class="ttdeci">void DayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00027">dayzexpansion.c:27</a></div></div>
<div class="ttc" id="aa03861_html_aa4d00dd80847d1b904242eae1354e140"><div class="ttname"><a href="../../d2/de0/a03861.html#aa4d00dd80847d1b904242eae1354e140">DayZExpansion::OnStart</a></div><div class="ttdeci">override void OnStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00078">dayzexpansion.c:78</a></div></div>
<div class="ttc" id="aa03861_html_addaf6e68226492d6da62e44d12a191d9"><div class="ttname"><a href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">DayZExpansion::OnLoaded</a></div><div class="ttdeci">override void OnLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00091">dayzexpansion.c:91</a></div></div>
<div class="ttc" id="aa03861_html_af83062ebed2899404b75f6ff118ec999"><div class="ttname"><a href="../../d2/de0/a03861.html#af83062ebed2899404b75f6ff118ec999">DayZExpansion::m_MajorVersion</a></div><div class="ttdeci">protected int m_MajorVersion</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00020">dayzexpansion.c:20</a></div></div>
<div class="ttc" id="aa04937_html"><div class="ttname"><a href="../../dc/da2/a04937.html">ExpansionWorld</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/a08976_source.html#l00013">expansionworld.c:14</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa08424_html_a874bd0cd1414456e60ce9a05a7c9110a"><div class="ttname"><a href="../../dd/d94/a08424.html#a874bd0cd1414456e60ce9a05a7c9110a">g_exGlobalSettings</a></div><div class="ttdeci">static ref ExpansionSettings g_exGlobalSettings</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00252">expansionsettings.c:252</a></div></div>
<div class="ttc" id="aa08676_html_a52f7e80544bdf92ccc9cedc48a059733"><div class="ttname"><a href="../../da/d89/a08676.html#a52f7e80544bdf92ccc9cedc48a059733">g_exDayZ</a></div><div class="ttdeci">DayZExpansion g_exDayZ</div></div>
<div class="ttc" id="aa08676_html_a883da7b60e247b43fafd5f00b7829fa8"><div class="ttname"><a href="../../da/d89/a08676.html#a883da7b60e247b43fafd5f00b7829fa8">GetDayZExpansion</a></div><div class="ttdeci">static DayZExpansion GetDayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00104">dayzexpansion.c:104</a></div></div>
<div class="ttc" id="aa08676_html_a9b066191530f856dc1f5d93602c5565f"><div class="ttname"><a href="../../da/d89/a08676.html#a9b066191530f856dc1f5d93602c5565f">CreateDayZExpansion</a></div><div class="ttdeci">static void CreateDayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00109">dayzexpansion.c:109</a></div></div>
<div class="ttc" id="aa08676_html_ad89075091fb6c370aaba2edf373cdba8"><div class="ttname"><a href="../../da/d89/a08676.html#ad89075091fb6c370aaba2edf373cdba8">DestroyDayZExpansion</a></div><div class="ttdeci">static void DestroyDayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d89/a08676_source.html#l00125">dayzexpansion.c:125</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../da/d89/a08676.html">dayzexpansion.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
